XtraScreenHacks(6)

NAME
skylark - an animated 1950s kitchen table top

SYNOPSIS
skylark [-display host:display.screen] [-visual visual] [-window] [-root] [-delay number] [-count number] [-ncolors number] [-mono] [-colorchangerate number] [-spinrate number] [-size number] [-step number] [-fps]

DESCRIPTION
Skylark looks like the classic kitchen table top from the 1950s, with the boomerangs moving around like you're drunk. "Skylark" was the original name for the design, developed by the Formica Corporation, that is now marketed as "Boomerang." For more information, see: http://www.newretrodining.com/boomerang_article.htm http://www.formica.com/

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-delay number
    Per-frame delay, in microseconds. Default: 30000 (0.03 seconds.).

-count number
    How many boomerangs there should be on the screen at one time. Legal values are from 1 to 5000. Default: 150.

-ncolors number
    How many different colors the background should cycle through. Legal values are from 1 to 5000. Default: 128.

-colorchangerate number
    How long the background color should take to cycle. Legal values are from 1 to 1000. Default: 10.

-mono
    Draw all boomerangs in white (or whatever your display uses for white) on a black background. Overrides -ncolors.

-spinrate number
    How fast the boomerangs should rotate. Legal values are from 1 to 100. Default: 10.

-size number
    How big the boomerangs should be. Large ones look better than small ones, and it will take less of them to fill the screen. Legal values are from 1 to 500. Default: 100.

-step number
    How far the boomerangs should advance in one frame. Higher values may speed up the movement more gracefully than using -delay. Legal values are from 1 to 2000. Default: 200.

-fps | -no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1),

COPYRIGHT
Copyright © 2010 by Kelley Nielsen. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Kelley Nielsen <shegeek-dev@comcast.net>